net.sf.jlinkgrammar

## Class Word

- java.lang.Object
- - net.sf.jlinkgrammar.Word

-     public class Word
      extends java.lang.Object

  The basic word class TODO - Create word comparator and internationalization. That is: If the word is in French and we need to know if it is a conjunction we need something like: Jaque et Pierre == John and Peter Word.compare(english("and"));

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Disjunct` | `d` holds the disjunct of the word, eventually these get generated.
    `boolean` | `firstupper` indicates that the first character is upper case TODO - Remove English (Indo European) dependancy
    `boolean` | `is_conjunction` is conjunction or not
    `java.lang.String` | `string` this word as a String object
    `XNode` | `x` a linked list of equivilent expressions also a sentence starts out with these

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Word(java.lang.String s, Dictionary dict)` Default constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XNode` | `build_word_expressions(java.lang.String s, Dictionary dict)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### string

          public java.lang.String string

      this word as a String object

    - #### x

          public XNode x

      a linked list of equivilent expressions also a sentence starts out with these
      See Also:
        `XNode`

    - #### d

          public Disjunct d

      holds the disjunct of the word, eventually these get generated.
      See Also:
        `Disjunct`

    - #### firstupper

          public boolean firstupper

      indicates that the first character is upper case TODO - Remove English (Indo European) dependancy

    - #### is_conjunction

          public boolean is_conjunction

      is conjunction or not

  - ### Constructor Detail

    - #### Word

          public Word(java.lang.String s,
              Dictionary dict)

      Default constructor
      Parameters:
        `s` -
        `dict` -

  - ### Method Detail

    - #### build_word_expressions

          public static XNode build_word_expressions(java.lang.String s,
                                     Dictionary dict)